> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List background tracks

> Lists background tracks available to your organization.



## OpenAPI

````yaml get /background_tracks
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /background_tracks:
    get:
      tags:
        - Background tracks
      summary: List background tracks
      description: Lists background tracks available to your organization.
      operationId: background_tracks#index
      parameters:
        - name: pagination[limit]
          in: query
          required: false
          description: '''limit'' sets the number of results to return in each page.'
          schema:
            type: integer
        - name: pagination[offset]
          in: query
          required: false
          description: >-
            'offset' sets the first position to return from the results of the
            query. The default is 0, which starts the page at the first result.
          schema:
            type: integer
        - name: filter[scopes]
          in: query
          style: deepObject
          explode: true
          schema:
            type: object
          description: filter items by scopes
          required: false
        - name: filter[name]
          in: query
          required: false
          schema:
            type: string
        - name: filter[custom]
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/backgroundTracksExample'
              schema:
                $ref: '#/components/schemas/backgroundTracksModel'
          headers:
            X-BeyondWords-Filter:
              description: The filters fields applied (if any).
              schema:
                type: string
              required: false
            X-Pagination-Limit:
              description: |-
                The requested number of results to be returned for this request.
                          The actual number of results returned may be lower.
              schema:
                type: integer
              required: false
            X-Pagination-OffSet:
              description: >-
                The position of the first result in the response (before
                pagination was applied).
              schema:
                type: integer
              required: false
            X-Pagination-Total-Count:
              description: >-
                The total number of results returned for this query (before
                pagination was applied).
              schema:
                type: integer
              required: false
        '401':
          description: Invalid authentication token
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/unauthorizedErrorExample'
              schema:
                $ref: '#/components/schemas/errorModel'
      security:
        - apiKey: []
components:
  examples:
    backgroundTracksExample:
      summary: Sample list of background tracks
      value:
        - id: 1
          name: Test track 1
          volume: 100
          created: 2023-01-01 00:00:00 UTC
          updated: 2023-01-01 00:00:05 UTC
        - id: 2
          name: Test track 2
          volume: 100
          created: 2023-02-01 00:00:00 UTC
          updated: 2023-02-01 00:00:05 UTC
    unauthorizedErrorExample:
      summary: Unauthorized error
      value:
        code: 401
        message: Unauthorized
  schemas:
    backgroundTracksModel:
      type: array
      items:
        $ref: '#/components/schemas/backgroundTrackModel'
    errorModel:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
        errors:
          type: array
          nullable: true
          items:
            type: object
            properties:
              location:
                type: string
              message:
                type: string
    backgroundTrackModel:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the object
        name:
          type: string
          description: The background track name
        volume:
          type: integer
          description: Percent volume of the track
        project:
          type: object
          nullable: true
          properties:
            id:
              type: integer
            name:
              type: string
        media:
          type: object
          properties:
            url:
              type: string
            duration:
              type: integer
        created:
          type: string
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          description: Time at which the object was updated (ISO 8601)
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````